.contacto-form-wrapper {
    background-color: #fff;
    padding: 24px;
    border-radius: 20px;
    box-shadow: 0 0.5px 1px 0 rgba(25, 33, 61, 0.08);
    width: 100%;
    max-width: 550px;
    min-width: 0;
}

.contact-form {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.form-group {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.form-group label {
    font-size: 14px;
    font-weight: 700;
    color: var(--midNight-800);
}

.input-container {
    position: relative;
    width: 100%;
}

.input-container input,
.input-container textarea {
    width: 100%;
    padding: 16px 24px;
    padding-right: 56px;
    /* Space for icon */
    border: 1px solid var(--midNight-100);
    border-radius: 12px;
    font-size: 15px;
    color: var(--midNight-900);
    background-color: transparent;
    transition: border-color 0.3s ease, box-shadow 0.3s ease;
}

.input-container textarea {
    min-height: 120px;
    resize: vertical;
    padding-right: 24px;
    /* No icon in textarea based on image */
}

.input-container input::placeholder,
.input-container textarea::placeholder {
    color: var(--midNight-100);
}

.input-container input:focus,
.input-container textarea:focus {
    border-color: var(--midNight-500);
    box-shadow: 0 4px 12px rgba(32, 45, 110, 0.05);
    outline: none;
}

.input-container input:focus+i {
    color: var(--midNight-500);
}

.input-container i {
    position: absolute;
    right: 24px;
    top: 50%;
    transform: translateY(-50%);
    font-size: 20px;
    color: var(--midNight-200);
    pointer-events: none;
    transition: color 0.3s ease;
}

.contact-form .primary-button {
    width: fit-content;
}

@media (max-width: 1100px) {
    .contacto-form-wrapper {
        max-width: 100%;
    }
}

@media (max-width: 600px) {
    .contacto-form-wrapper {
        padding: 24px;
        border-radius: 16px;
    }

    .contact-form .primary-button {
        width: 100%;
        justify-content: center;
    }

    .input-container input,
    .input-container textarea {
        padding: 14px 20px;
        font-size: 16px;
    }
}